Subject: [nfsv4] [PATCH] Explain opaque_auth

From: Thomas Haynes <[email-masked]>
Date: Thu, 15 Jan 2015 10:09:00 -0800

From: Tom Haynes <[email-masked]>

As per the email discussion, here is the reference for opaque_auth.

Signed-off-by: Tom Haynes <[email-masked]>
---
 flexfiles_back_references.xml | 14 ++++++++++++++
 flexfiles_middle_layout.xml   | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/flexfiles_back_references.xml b/flexfiles_back_references.xml
index 1cb0a57..19992c6 100644
--- a/flexfiles_back_references.xml
+++ b/flexfiles_back_references.xml
@@ -88,6 +88,20 @@
       target="ftp://ftp.isi.edu/in-notes/rfc3530.txt"/>
   </reference>
 
+    <reference anchor='RFC5531'>
+      <front>
+  <title abbrev='Remote Procedure Call Protocol Version 2'>RPC:
+  Remote Procedure Call Protocol Specification Version 2</title>
+  <author initials='R.' surname='Thurlow' fullname='R. Thurlow'>
+    <organization>Sun Microsystems, Inc.</organization>
+  </author>
+  <date year='2009' month='May' />
+      </front>
+
+      <seriesInfo name='RFC' value='5531' />
+      <format type='TXT' target='ftp://ftp.isi.edu/in-notes/rfc5531.txt' />
+    </reference>
+
   <reference anchor='RFC5661'>
     <front>
       <title>Network File System (NFS) Version 4 Minor Version 1 Protocol</title>
diff --git a/flexfiles_middle_layout.xml b/flexfiles_middle_layout.xml
index 590f180..b7d5b2c 100644
--- a/flexfiles_middle_layout.xml
+++ b/flexfiles_middle_layout.xml
@@ -200,6 +200,42 @@
     </t>
 
     <t>
+      Note that opaque_auth is defined in Section 8.2 of
+      <xref target='RFC5531' /> and is for reference:
+    </t>
+
+    <t>
+      &lt;CODE BEGINS&gt;
+    </t>
+
+    <figure>
+      <artwork>
+    enum auth_flavor {
+       AUTH_NONE       = 0,
+       AUTH_SYS        = 1,
+       AUTH_SHORT      = 2,
+       AUTH_DH         = 3,
+       RPCSEC_GSS      = 6
+       /* and more to be defined */
+    };
+      </artwork>
+    </figure>
+
+    <figure>
+      <artwork>
+    struct opaque_auth {
+        auth_flavor  flavor;
+        opaque       body&lt;400&gt;;
+    };
+      </artwork>
+    </figure>
+
+    <t>
+      &lt;CODE ENDS&gt;
+    </t>
+
+
+    <t>
       ffds_efficiency describes the metadata server's evaluation
       as to the effectiveness of each mirror. Note that this is per
       layout and not per device as the metric may change due to
-- 
1.9.3